package com.nto.data.utils

import com.nto.data.models.UserDTO
import com.nto.data.models.cards.VisitCardDTO
import okhttp3.ResponseBody
import retrofit2.Call
import retrofit2.http.GET
import retrofit2.http.Header

interface RetrofitApi {
    @GET("employee/auth")
    fun auth(@Header("Authorization") token: String): Call<ResponseBody>

    @GET("employee/info")
    fun getInfo(@Header("Authorization") token: String): Call<UserDTO>

    @GET("visits/{login}/visits")
    fun getVisits(@Header("Authorization") token: String): Call<List<VisitCardDTO>>
}