package com.nto.domain.repository

import com.nto.data.models.LoginResult
import com.nto.data.models.UserDTO
import com.nto.data.models.cards.VisitCardWrapper

interface DomainRepository {
    suspend fun auth(email: String, password: String): LoginResult
    suspend fun saveToken(token: String, login: String)
    suspend fun getToken(): String?
    suspend fun getInfo(): UserDTO
    suspend fun getVisits(id: String): VisitCardWrapper
}