package com.nto.presentation.screens.scanResult

import androidx.lifecycle.SavedStateHandle
import androidx.lifecycle.ViewModel
import androidx.navigation.toRoute
import com.nto.data.utils.Destinations
import dagger.hilt.android.lifecycle.HiltViewModel
import kotlinx.coroutines.flow.MutableStateFlow
import kotlinx.coroutines.flow.asStateFlow
import javax.inject.Inject

@HiltViewModel
class ScanResultViewModel @Inject constructor(
    savedStateHandle: SavedStateHandle
): ViewModel() {
    val value = savedStateHandle.toRoute<Destinations.Scan>().value
    private val _state  = MutableStateFlow(ScanResultState.Success)
    val state get() = _state.asStateFlow()

    init {
        // TODO: create method to scan qr on server
    }


}