package com.nto.domain.usecase

import com.nto.data.models.UserDTO
import com.nto.domain.repository.DomainRepositoryImpl
import javax.inject.Inject

class ProfileUseCase @Inject constructor(private val domainRepositoryImpl: DomainRepositoryImpl) {
    suspend fun getInfo(): UserDTO{
        return domainRepositoryImpl.getInfo()
    }
}